Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800069 - rust-zincati: FTBFS in Fedora rawhide/f32
Summary: rust-zincati: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-zincati
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Fairley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:56 UTC by Fedora Release Engineering
Modified: 2020-04-05 03:03 UTC (History)
6 users (show)

Fixed In Version: rust-zincati-0.0.9-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-05 03:03:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:56 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:56 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:56 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:56:27 UTC
rust-zincati failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41322023


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix rust-zincati at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rust-zincati will be orphaned. Before branching of Fedora 33,
rust-zincati will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:56:29 UTC
Created attachment 1660871 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:56:31 UTC
Created attachment 1660872 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:56:32 UTC
Created attachment 1660873 [details]
state.log

Comment 4 Jonathan Lebon 2020-02-07 16:54:04 UTC
```
DEBUG util.py:596:  Error: 
DEBUG util.py:596:   Problem: package rust-actix+default-devel-0.8.3-4.fc31.noarch requires crate(actix) = 0.8.3, but none of the providers can be installed
DEBUG util.py:596:    - conflicting requests
DEBUG util.py:596:    - nothing provides (crate(actix-rt/default) >= 0.2.2 with crate(actix-rt/default) < 0.3.0) needed by rust-actix-devel-0.8.3-4.fc31.noarch
DEBUG util.py:596:    - nothing provides (crate(actix_derive/default) >= 0.4.0 with crate(actix_derive/default) < 0.5.0) needed by rust-actix-devel-0.8.3-4.fc31.noarch
DEBUG util.py:596:    - nothing provides (crate(derive_more/default) >= 0.15.0 with crate(derive_more/default) < 0.16.0) needed by rust-actix-devel-0.8.3-4.fc31.noarch
DEBUG util.py:596:    - nothing provides (crate(parking_lot/default) >= 0.9.0 with crate(parking_lot/default) < 0.10.0) needed by rust-actix-devel-0.8.3-4.fc31.noarch
```

Hmm, weird, I see it in Koji: https://koji.fedoraproject.org/koji/buildinfo?buildID=1348057
I guess this is probably from the recent rework of how Rust packages are built in Fedora?

Comment 5 Robert Fairley 2020-02-07 21:04:32 UTC
Recently `rust-actix` was rebuilt for F32, though the build failed: https://koji.fedoraproject.org/koji/taskinfo?taskID=41321680

in root.log:
```
DEBUG util.py:596:   Problem 1: nothing provides requested (crate(actix-http/default) >= 0.2.0 with crate(actix-http/default) < 0.3.0)
DEBUG util.py:596:   Problem 2: nothing provides requested (crate(actix-rt/default) >= 0.2.2 with crate(actix-rt/default) < 0.3.0)
DEBUG util.py:596:   Problem 3: nothing provides requested (crate(actix_derive/default) >= 0.4.0 with crate(actix_derive/default) < 0.5.0)
DEBUG util.py:596:   Problem 4: nothing provides requested (crate(derive_more/default) >= 0.15.0 with crate(derive_more/default) < 0.16.0)
DEBUG util.py:596:   Problem 5: nothing provides requested (crate(parking_lot/default) >= 0.9.0 with crate(parking_lot/default) < 0.10.0)
DEBUG util.py:596:   Problem 6: nothing provides requested (crate(trust-dns-resolver) >= 0.11.0 with crate(trust-dns-resolver) < 0.12.0)
```

Looking at `rust-derive_more`, `rust-parking_lot`, and `rust-trust-dns-resolver`, there are greater versions now built in Fedora than the ranges requested above - it may be that the `rust-actix` package needs metadata adjusting to use the newer versions, or an upstream version update. Going to check if updating these would allow the `rust-actix-0.8.3-5.fc32` build to succeed.

Would have thought `rust-actix-0.8.3-4.fc31` would still be picked up given the more recent build failed, but possibly another change from the F32 release timeline will mean only f32 or greater builds can now be picked up when building in Rawhide?

Comment 6 Ben Cotton 2020-02-11 16:37:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 7 Fedora Release Engineering 2020-02-16 04:34:48 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 8 Fedora Release Engineering 2020-03-01 04:26:48 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 9 Fedora Release Engineering 2020-03-08 04:28:54 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 10 Robert Fairley 2020-03-24 23:45:13 UTC
With [1], an update `rust-zincati-0.0.9-1` [2] can build in Rawhide. Since `rust-*` packages are built in Rawhide, changing the version to Rawhide. Updating status to ASSIGNED to myself - will be pushing for the fix in [1].

[1] https://src.fedoraproject.org/rpms/rust-actix/pull-request/1
[2] https://src.fedoraproject.org/rpms/rust-zincati/c/96c8302f1458a7a21757fee7cf397bcf45b0d6a2?branch=master

Comment 11 Fedora Update System 2020-03-26 07:46:04 UTC
FEDORA-2020-6877a1f53d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6877a1f53d

Comment 12 Fedora Update System 2020-03-27 11:07:26 UTC
FEDORA-2020-6877a1f53d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6877a1f53d

Comment 13 Fedora Update System 2020-03-28 02:42:47 UTC
FEDORA-2020-6877a1f53d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6877a1f53d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6877a1f53d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-04-05 03:03:12 UTC
FEDORA-2020-6877a1f53d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.